Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPNGReader Class Reference

`#include <vtkPNGReader.h>`

Inheritance diagram for vtkPNGReader:

[legend]
Collaboration diagram for vtkPNGReader:

[legend]
List of all members.

## Detailed Description

read PNG files

Date:
  2002/11/12 19:44:35

Revision:
  1.12

vtkPNGReader is a source object that reads PNG files. It should be able to read most any PNG file

See also:
  vtkPNGWriter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (74%)
  - Hoffman, Bill (16%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkPNGReader.cxx)`
  - .`h` (`/IO/vtkPNGReader.h)`

Examples:
  vtkPNGReader (Examples)

Tests:
  vtkPNGReader (Tests)

Definition at line 52 of file vtkPNGReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkPNGReader * | New ()
int | IsTypeOf (const char *type)
vtkPNGReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPNGReader ()
| ~vtkPNGReader ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)
virtual int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()

## Member Typedef Documentation

typedef vtkImageReader2 vtkPNGReader::Superclass

| Reimplemented from vtkImageReader2. Definition at line 56 of file vtkPNGReader.h.

## Constructor & Destructor Documentation

vtkPNGReader::vtkPNGReader | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkPNGReader.h.

vtkPNGReader::~vtkPNGReader | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkPNGReader.h.

## Member Function Documentation

vtkPNGReader* vtkPNGReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2.

virtual const char* vtkPNGReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2.

int vtkPNGReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

virtual int vtkPNGReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

vtkPNGReader* vtkPNGReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2.

virtual void vtkPNGReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2.

virtual int vtkPNGReader::CanReadFile | ( | const char * | fname | ) | `[protected, virtual]`

virtual const char* vtkPNGReader::GetFileExensions | ( |  | ) | `[inline, protected, virtual]`

| Get the file extensions for this format. Returns a string with a space separated list of extensions in the format .extension Reimplemented from vtkImageReader2. Definition at line 69 of file vtkPNGReader.h.

virtual const char* vtkPNGReader::GetDescriptiveName | ( |  | ) | `[inline, protected, virtual]`

| Return a descriptive name for the file format that might be useful in a GUI. Reimplemented from vtkImageReader2. Definition at line 78 of file vtkPNGReader.h.

virtual void vtkPNGReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkPNGReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

The documentation for this class was generated from the following file:

- IO/vtkPNGReader.h